var component =
    {
        extends: BaseDataComponent,
        mixins: [FormField, ActionsHandlerMixin],
        template: '#template-name#',
        props: [
        ],
        data() {
            return {
                simplemde: null
            }
        },
        created: function () {
            this.$nextTick(function () {
                this.simplemde = new SimpleMDE({ element: document.getElementById(this.cid_),autosave: {enabled:true, uniqueId: this.name_}, spellChecker: false});
                this.value_ = this.simplemde.value()
                this.simplemde.codemirror.on("change", () => {
                    this.value_ = this.simplemde.value()
                });
            })
        },
    }
